Bug 495563 - Review Request: febootstrap - Bootstrap a new Fedora system (like debootstrap)
Review Request: febootstrap - Bootstrap a new Fedora system (like debootstrap)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 495564
  Show dependency treegraph
 
Reported: 2009-04-13 16:01 EDT by Richard W.M. Jones
Modified: 2011-03-22 08:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.7-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-28 03:44:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
berrange: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-04-13 16:01:45 EDT
Spec URL: http://www.annexia.org/tmp/febootstrap.spec
SRPM URL: http://et.redhat.com/~rjones/febootstrap/files/febootstrap-1.5-1.fc11.src.rpm
Description:
febootstrap is a Fedora equivalent to Debian's debootstrap.  You can
use it to create a basic Fedora filesystem, and build initramfs
(initrd.img) or filesystem images.

febootstrap also includes a separate tool to minimize filesystems by
removing unneeded locales, documentation etc.

The main difference from other appliance building tools is that this
one doesn't need to be run as root.
Comment 1 Richard W.M. Jones 2009-04-13 16:07:35 EDT
Marked as NotReady.  This depends on an updated fakechroot package.
Comment 2 Richard W.M. Jones 2009-04-14 16:58:39 EDT
Spec URL: http://www.annexia.org/tmp/febootstrap.spec
SRPM URL: http://www.annexia.org/tmp/febootstrap-1.5-2.fc11.src.rpm

Now ready for review.

However NOTE this requires fakechroot 2.9-20 which has only just been built
for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1298852

rpmlint is clean.
Comment 3 Richard W.M. Jones 2009-04-14 17:29:02 EDT
Spec URL: http://www.annexia.org/tmp/febootstrap.spec
SRPM URL: http://www.annexia.org/tmp/febootstrap-1.5-3.fc11.src.rpm
* Tue Apr 14 2009 Richard Jones <rjones@redhat.com> - 1.5-3
- Configure script has (unnecessary) BuildRequires on fakeroot,
  fakechroot, yum.
Comment 4 Richard W.M. Jones 2009-04-15 03:07:12 EDT
Koji scratch-build completed:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1299642
Comment 5 Daniel Berrange 2009-04-15 06:20:41 EDT
Taking review...
Comment 6 Daniel Berrange 2009-04-15 06:56:44 EDT
 * PASS rpmlint checks, no output generated
 * PASS package naming
 * PASS package guidelines
 * PASS approved license
 * PASS license matches code
 * PASS license text included
 * PASS specfile in english
 * PASS specfile is legible
 * PASS sources match upstream
 * PASS builds on F11 x86_64
 * PASS all BRs listed - builds in koji OK
 * N/A  locales
 * N/A  ldconfig
 * N/A  relocatable
 * PASS owns all directories
 * PASS permissions all correct
 * PASS %clean section
 * PASS macro usage
 * PASS permissble content/code
 * N/A  large docs subpackage
 * PASS %doc not affecting package usage
 * N/A header files
 * N/A static libraries
 * N/A pkgconfig files
 * N/A library suffix
 * N/A libtool archives
 * N/A -devel packages requirements
 * N/A .desktop files
 * PASS not owning directories from other packages
 * PASS %install cleaning up buildroot
 * PASS  valid UTF-8


Should rules

 * PASS builds in koji/mock
 * PASS febootstrap and febootstrap-run work correctly on x86_64 after install
 


All guidelines PASS => APPROVED
Comment 7 Richard W.M. Jones 2009-04-15 08:55:19 EDT
New Package CVS Request
=======================
Package Name: febootstrap
Short Description: Bootstrap a new Fedora system (like debootstrap)
Owners: rjones
Branches: F-10 F-11
InitialCC:
Comment 8 Kevin Fenzi 2009-04-16 00:30:59 EDT
cvs done.
Comment 10 Fedora Update System 2009-04-16 04:49:52 EDT
febootstrap-1.5-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/febootstrap-1.5-3.fc11
Comment 11 Richard W.M. Jones 2009-04-16 05:09:30 EDT
Fails to build on F-10 at the moment:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1301871

Requires fakechroot 2.9 which is still in F-10 updates-testing.
Comment 12 Richard W.M. Jones 2009-04-28 03:32:52 EDT
Finally!  The updated fakechroot is in F-10.
Comment 13 Fedora Update System 2009-04-28 03:38:02 EDT
febootstrap-1.7-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/febootstrap-1.7-1.fc10
Comment 14 Fedora Update System 2009-04-28 05:01:47 EDT
febootstrap-1.7-1.fc10.1 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/febootstrap-1.7-1.fc10.1
Comment 15 Fedora Update System 2009-05-02 12:36:04 EDT
febootstrap-1.7-1.fc10.1 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-05-02 12:42:10 EDT
febootstrap-1.7-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Richard W.M. Jones 2009-05-08 04:35:51 EDT
Package Change Request
======================
Package Name: febootstrap
New Branches: EL-5
Owners: rjones
Comment 18 Fedora Update System 2009-05-09 00:04:55 EDT
febootstrap-1.5-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Kevin Fenzi 2009-05-09 16:50:56 EDT
cvs done.
Comment 20 Richard W.M. Jones 2009-05-11 13:40:57 EDT
This has now been imported into EL-5 branch.

Note You need to log in before you can comment on or make changes to this bug.